| POST | /RestApi/sitefinity/inlineediting/containersInfo |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PageId | body | string | No | |
| PageTitle | body | string | No | |
| ContainersInfo | body | List<ContainerInfoModel> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemId | form | string | No | |
| ItemType | form | string | No | |
| DisplayType | form | string | No | |
| Provider | form | string | No | |
| ItemStatus | form | LifecycleStatusModel | No | |
| IsPageControl | form | bool | No | |
| DetailsViewUrl | form | string | No | |
| Fields | form | List<FieldModel> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| DisplayStatus | form | string | No | |
| IsAdmin | form | bool | No | |
| IsEditable | form | bool | No | |
| IsStatusEditable | form | bool | No | |
| IsLocked | form | bool | No | |
| IsPublished | form | bool | No | |
| IsLockedByMe | form | bool | No | |
| LockedByUsername | form | string | No | |
| WorkflowStatus | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| Required | form | string | No | |
| MinDate | form | string | No | |
| MaxDate | form | string | No | |
| MinLength | form | int | No | |
| MaxLength | form | int | No | |
| Pattern | form | string | No | |
| MinValue | form | Object | No | |
| MaxValue | form | Object | No | |
| RequiredViolationMessage | form | string | No | |
| MinLengthViolationMessage | form | string | No | |
| MaxLengthViolationMessage | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/containersInfo HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
PageId: String,
PageTitle: String,
ContainersInfo:
[
{
ItemId: String,
ItemType: String,
DisplayType: String,
Provider: String,
ItemStatus:
{
DisplayStatus: String,
IsAdmin: False,
IsEditable: False,
IsStatusEditable: False,
IsLocked: False,
IsPublished: False,
IsLockedByMe: False,
LockedByUsername: String,
WorkflowStatus: String
},
IsPageControl: False,
DetailsViewUrl: String,
Fields:
[
{
Name: String,
Required: String,
MinDate: String,
MaxDate: String,
MinLength: 0,
MaxLength: 0,
Pattern: String,
MinValue: {},
MaxValue: {},
RequiredViolationMessage: String,
MinLengthViolationMessage: String,
MaxLengthViolationMessage: String
}
]
}
]
}